package com.yunfeiyun.agmp.common.core.domain.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yunfeiyun.agmp.common.core.domain.BaseEntity;
import com.yunfeiyun.agmp.common.annotation.Excel;
import com.yunfeiyun.agmp.common.core.domain.model.IBaseLoginLog;

/**
 * 系统访问记录表 SysLoginLog
 * 
 * @author 杨晓辉
 */
public class SysLoginLog extends BaseEntity implements IBaseLoginLog
{
    private static final long serialVersionUID = 1L;

    /** ID */
    @Excel(name = "序号")
    private String loggId;

    /** 用户账号 */
    @Excel(name = "用户账号")
    private String loggLoginname;

    /** 登录状态 0成功 1失败 */
    @Excel(name = "登录状态", readConverterExp = "0=成功,1=失败")
    private String loggLoginstatus;

    /** 登录IP地址 */
    @Excel(name = "登录地址")
    private String loggIpaddr;

    /** 登录地点 */
    @Excel(name = "登录地点")
    private String loggLoginlocation;

    /** 浏览器类型 */
    @Excel(name = "浏览器")
    private String loggBrowser;

    /** 操作系统 */
    @Excel(name = "操作系统")
    private String loggOs;

    /** 提示消息 */
    @Excel(name = "提示消息")
    private String loggLoginmsg;

    /** 访问时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "访问时间")
    private String loggLoginTime;

    public String getLoggId()
    {
        return loggId;
    }

    public void setLoggId(String loggId)
    {
        this.loggId = loggId;
    }

    public String getLoggLoginname()
    {
        return loggLoginname;
    }

    public void setLoggLoginname(String loggLoginname)
    {
        this.loggLoginname = loggLoginname;
    }

    public String getLoginStatus()
    {
        return loggLoginstatus;
    }

    public void setLoginStatus(String loggLoginstatus)
    {
        this.loggLoginstatus = loggLoginstatus;
    }

    public String getLoginIpaddr()
    {
        return loggIpaddr;
    }

    public void setIpaddr(String loggIpaddr)
    {
        this.loggIpaddr = loggIpaddr;
    }

    public String getLoginLocation()
    {
        return loggLoginlocation;
    }

    public void setLoginLocation(String loggLoginlocation)
    {
        this.loggLoginlocation = loggLoginlocation;
    }

    public String getLoginBrowser()
    {
        return loggBrowser;
    }

    public void setLoginBrowser(String loggBrowser)
    {
        this.loggBrowser = loggBrowser;
    }

    public String getLoginOs()
    {
        return loggOs;
    }

    public void setLoginOs(String loggOs)
    {
        this.loggOs = loggOs;
    }

    public String getLoginMsg()
    {
        return loggLoginmsg;
    }

    public void setLoginMsg(String loggLoginmsg)
    {
        this.loggLoginmsg = loggLoginmsg;
    }

    public String getLoginTime()
    {
        return loggLoginTime;
    }

    public void setLoginTime(String loggLoginTime)
    {
        this.loggLoginTime = loggLoginTime;
    }
}
